Content / REST API

Create content collection

Create an optional named inspiration collection. Returns a stable collection ID.

POST /api/v1/content/collectionsDeterministic operation

Parameters

workspaceIdOptional · string
See the input schema for this field.
nameRequired · string
See the input schema for this field.
Request example
curl -X POST "https://app.pipeline.help/api/v1/content/collections" \
  -H "Authorization: Bearer $PIPELINE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"name":"example"}'
Full input schema
Input schema
{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "workspaceId": {
      "type": "string",
      "format": "uuid"
    },
    "name": {
      "type": "string"
    }
  },
  "required": [
    "name"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview